Subject: bug#31108: closed (Re: bug#31108: Julia: ‘objconv.zip’modified in place on www.agner.org)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Oct 2020 09:22:01 +0000

Your bug report

#31108: Julia: ‘objconv.zip’ modified in place on www.agner.org

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31108: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31108
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31108: Julia: ‘objconv.zip’modified in place on www.agner.org
From: zimoun <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Oct 2020 11:21:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

On Thu, 08 Oct 2020 at 09:20, Ludovic Courtès <[email-masked]> wrote:
> zimoun <[email-masked]> skribis:
>
>> Does it make sense to keep the bug open?  If yes, could you please
>> provide a bit more information about the context?
>
> If the current Julia package doesn’t have a similar problem, I think we
> can close this bug.

Maybe I miss the bug at the time “09 Apr 2018”, where it was an upstream
mismatch.  It seems fixed by these 2 commits:

--8<---------------cut here---------------start------------->8---
commit 2930a39b165ce9e13e899fe66b82c03932e0e86b
Author: Tobias Geerinckx-Rice <[email-masked]>
Date:   Wed Oct 31 15:54:38 2018 +0100

    gnu: julia: Update objconv input to 2018-10-07.
    
    * gnu/packages/julia.scm (julia)[input]: Update objconf to 2018-10-07.

commit 81bf0fd0d4a7e78febb394576ea849285fc2d329
Author: Marius Bakke <[email-masked]>
Date:   Tue Sep 4 18:53:13 2018 +0200

    gnu: julia: Update objconv input.
    
    * gnu/packages/julia.scm (julia)[inputs]: Update the hash of "objconv", which
    does not have a stable URL.  Add a file name and use HTTPS while at it.
--8<---------------cut here---------------end--------------->8---

So closing! :-)

BTW, at the time (2018), the inputs were:

--8<---------------cut here---------------start------------->8---
       ("objconv"
        ,(origin
           (method url-fetch)
           ;; No versioned URL, see <https://www.agner.org/optimize/> for updates.
           (uri "https://www.agner.org/optimize/objconv.zip")
           (file-name "objconv-2018-08-15.zip")
           (sha256
            (base32
             "09y4pwxfs6fl47cyingbf95i2rxx74wmycl9fd4ldcgvpx9bzdrx"))))
--8<---------------cut here---------------end--------------->8---

and now, AFAICT, it is not the case.  This ’objconv’ had been removed
from the inputs list.  See commit (with the not so talkative commit
message :-))
5ef30f2a1f89397bc78af94b6ee95e9fce2f646e updating to 1.4.1.

However, on one hand this dependency seems now bundled with Julia.  See
upstream ’deps/objconv.mk’:

--8<---------------cut here---------------start------------->8---
$(SRCCACHE)/objconv.zip: | $(SRCCACHE)
	$(JLDOWNLOAD) $@ http://www.agner.org/optimize/objconv.zip
--8<---------------cut here---------------end--------------->8---

On the other hand, maybe ’#:make-flags’ deactivates this; I do not know,
nothing obvious.  Julia needs some love and I will not have enough time
to dedicated to them. :-)

Cheers,
simon

Subject: Julia: ‘objconv.zip’ modified in place on www.agner.org
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Mon, 09 Apr 2018 10:39:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The ‘objconv.zip’ file referred to by ‘julia’ was modified in place:

--8<---------------cut here---------------start------------->8---
$ guix build /gnu/store/p9sy48pip38gk1c72c5k7wsphppj07vk-objconv.zip.drv
The following derivation will be built:
   /gnu/store/p9sy48pip38gk1c72c5k7wsphppj07vk-objconv.zip.drv
@ build-started /gnu/store/p9sy48pip38gk1c72c5k7wsphppj07vk-objconv.zip.drv - i686-linux /var/log/guix/drvs/p9//sy48pip38gk1c72c5k7wsphppj07vk-objconv.zip.drv.gz

Starting download of /gnu/store/2fsjkc8ipqvy2f392m842715h19qdkd7-objconv.zip
>From http://www.agner.org/optimize/objconv.zip...
 objconv.zip  1009KiB                 1.3MiB/s 00:01 [##################] 100.0%
sha256 hash mismatch for output path `/gnu/store/2fsjkc8ipqvy2f392m842715h19qdkd7-objconv.zip'
  expected: 1fi7qa2sd9vb35dvkgripjf0fayzg2qmff215f8agfqfiwd1g8qs
  actual:   195p7dbjqfd6vca9mjj7i0ifpscsrm9njyfmzrpyf9zjdz6w9h7j
@ build-failed /gnu/store/p9sy48pip38gk1c72c5k7wsphppj07vk-objconv.zip.drv - 1 sha256 hash mismatch for output path `/gnu/store/2fsjkc8ipqvy2f392m842715h19qdkd7-objconv.zip'
  expected: 1fi7qa2sd9vb35dvkgripjf0fayzg2qmff215f8agfqfiwd1g8qs
  actual:   195p7dbjqfd6vca9mjj7i0ifpscsrm9njyfmzrpyf9zjdz6w9h7j
guix build: error: build failed: build of `/gnu/store/p9sy48pip38gk1c72c5k7wsphppj07vk-objconv.zip.drv' failed
--8<---------------cut here---------------end--------------->8---

Is there a versioned URL for this?

Ludo’.